@import '../../../../sass/variables';
@import '../../../../sass/mixins';

#dashboard-details {
	position: relative;

	#dashboard-name {
	  float: left;
	  position: relative;
	  top: 50%;
	  transform: translateY(-50%);
	  max-width: 300px;

		.title {
			font-size: 18px;
			color: $lightPurple;
			max-width: 240px;
			overflow: hidden;
			white-space: nowrap;
			text-overflow: ellipsis;
		}
	}

	#dashboard-control-buttons {
		float: right;
		height: 100%;
		position: relative;

		#settings-button {
			cursor: pointer;
			height: 20px;
			width: 20px;
			float: right;
			fill: rgba($grey, 0.5);
			transition: 0.2s;

			&:hover {
				fill: white;
			}

			&:active {
				fill: rgba(white, 0.8)
			}
		}
	}

	@include untilBreakpoint(desktop) {
		height: $dashboardDetailsHeightMobile;
		border-bottom: 1px solid rgba(255, 255, 255, 0.1);;
		padding: 0 10px;

		#dashboard-name {
			.type {
				display: none;
			}
		}

		#dashboard-control-buttons {
			#settings-button {
				position: relative;
				top: 50%;
				transform: translateY(-50%);
			}

			#go-back-button {
				display: none;
			}
		}
	}

	@include fromBreakpoint(desktop) {
		float: left;
		height: 100%;
		padding-right: 20px;
		width: $dashboardDetailsWidth;

		&:after {
			content: "";
			position: absolute;
			right: 0;
			bottom: 10px;
			top: 10px;
			width: 1px;
			height: calc(100% - 20px);
			border-right: 1px solid rgba(255, 255, 255, 0.1);
		}

		#dashboard-name {
			padding-left: 40px;

			.title {
				border-bottom: solid 1px rgb(74, 74, 74);
				padding-right: 20px;
				padding-bottom: 6px;
			}

			.type {
				padding-top: 5px;
				color: darken($grey, 20%);
				font-size: 13px;
			}
		}

		#dashboard-control-buttons {
			#settings-button {
				margin-top: 15px;
			}

			#go-back-button {
				position: absolute;
				bottom: 15px;
				right: 0;

				button {
					font-size: 11px;
					width: 60px;
				}
			}
		}
	}
}
